## org.codehaus.groovy.grails.web.converters.configuration
Class ObjectMarshallerRegisterer

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.configuration.ObjectMarshallerRegisterer

    public class ObjectMarshallerRegisterer

extends Object

A Spring Bean that can be used to register an ObjectMarshaller

Since:
  1.1
Author:
  Siegfried Puchbauer

Constructor Summary
`ObjectMarshallerRegisterer()`

Method Summary
`Class<? extends Converter>` `getConverterClass()`
`ObjectMarshaller` `getMarshaller()`
`int` `getPriority()`
`void` `setConverterClass(Class<? extends Converter> converterClass)`
`void` `setMarshaller(ObjectMarshaller marshaller)`
`void` `setPriority(int priority)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectMarshallerRegisterer

    public ObjectMarshallerRegisterer()

Method Detail

### getMarshaller

    public ObjectMarshaller getMarshaller()

### setMarshaller

    public void setMarshaller(ObjectMarshaller marshaller)

### getConverterClass

    public Class<? extends Converter> getConverterClass()

### setConverterClass

    public void setConverterClass(Class<? extends Converter> converterClass)

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

Copyright (c) 2005-2009 The Grails project